Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Build.Npm Class Referencesealed
Inheritance diagram for Zwipe.Build.Build.Npm:
[legend]
Collaboration diagram for Zwipe.Build.Build.Npm:
[legend]

## Public Member Functions
override bool | Execute ()

## Properties
string | Executable`[get, set]`
ITaskItem[] | Projects`[get, set]`
string | BuildProductsDir`[get, set]`
string | DefaultPhase = PhaseInstallBuild`[get, set]`

## Private Member Functions
void | OnStandardOutputReceived (string text)
void | OnStandardErrorReceived (string text)

## Static Private Attributes
const string | EnvVarBuildPath = "BUILD_PATH"
const char | SeparatorPhase = ';'
const string | PhaseInstall = "install"
const string | PhaseInstallBuild = "install;build"
const string | ProjectItemPhaseTag = "Phase"

## Member Function Documentation

## ◆ Execute()

override bool Zwipe.Build.Build.Npm.Execute | ( |  | ) |

Here is the call graph for this function:

## ◆ OnStandardErrorReceived()

void Zwipe.Build.Build.Npm.OnStandardErrorReceived | ( | string | text | ) |
| private

Here is the caller graph for this function:

## ◆ OnStandardOutputReceived()

void Zwipe.Build.Build.Npm.OnStandardOutputReceived | ( | string | text | ) |
| private

Here is the caller graph for this function:

## Member Data Documentation

## ◆ EnvVarBuildPath

const string Zwipe.Build.Build.Npm.EnvVarBuildPath = "BUILD_PATH"
| static private

## ◆ PhaseInstall

const string Zwipe.Build.Build.Npm.PhaseInstall = "install"
| static private

## ◆ PhaseInstallBuild

const string Zwipe.Build.Build.Npm.PhaseInstallBuild = "install;build"
| static private

## ◆ ProjectItemPhaseTag

const string Zwipe.Build.Build.Npm.ProjectItemPhaseTag = "Phase"
| static private

## ◆ SeparatorPhase

const char Zwipe.Build.Build.Npm.SeparatorPhase = ';'
| static private

## Property Documentation

## ◆ BuildProductsDir

string Zwipe.Build.Build.Npm.BuildProductsDir
| get set

## ◆ DefaultPhase

string Zwipe.Build.Build.Npm.DefaultPhase = PhaseInstallBuild
| get set

## ◆ Executable

string Zwipe.Build.Build.Npm.Executable
| get set

## ◆ Projects

ITaskItem [] Zwipe.Build.Build.Npm.Projects
| get set

The documentation for this class was generated from the following file:

- Zwipe.Build/Build/Npm.cs